<?php

namespace Picea\ControlStructure;

class EndforeachToken implements ControlStructure {

    public string $token = "endforeach";

    public function parse(/*\Picae\Compiler\Context*/ &$context, ?string $arguments, string $token) {
        if ( end($context->iterationStack)['or'] === false ) {
            $output = "<?php endforeach; ?>";
        }
        else {
            $output = "<?php endif; ?>";
        }

        array_pop($context->iterationStack);
        return $output;
    }
}
