<?php

namespace Picea\Syntax;

class EchoRawToken implements Syntax {

    public string $tokenOpen = "\{\{=";

    public string $tokenClose = "\}\}";

    public function parse(/*\Picae\Compiler\Context*/ &$content, string &$sourceCode)
    {
        $sourceCode = preg_replace_callback("#({$this->tokenOpen})(.*?)({$this->tokenClose})#s", function ($matches) {
            return "<?php echo {$matches[2]} ?>";
        }, $sourceCode);
    }

}
