<?php

namespace Picea\ControlStructure;

class ForToken implements ControlStructure {

    public string $token = "for";

    public function parse(/*\Picae\Compiler\Context*/ &$context, ?string $arguments, string $token) {
        $uid = "$".uniqid("for_");

        $context->iterationStack[] = [
            'or' => false,
            'uid' => $uid,
            'token' => 'endfor',
        ];

        return "<?php for ($arguments): {$uid} = 1; ?>";
    }
}
