<?php

namespace Picea\ControlStructure;

class ForeachToken implements ControlStructure {

    public string $token = "foreach";

    public function parse(/*\Picae\Compiler\Context*/ &$context, ?string $arguments, string $token) {
        $uid = "$".uniqid("foreach_");

        $context->iterationStack[] = [
            'or' => false,
            'uid' => $uid,
            'token' => 'endforeach',
        ];

        return "<?php foreach ($arguments): {$uid} = 1; ?>";
    }
}
