<?php

namespace Picea\Extension;

class JsonExtension implements Extension {

    public string $token = "json";
    public int $flags =  JSON_HEX_TAG | \JSON_HEX_APOS | \JSON_HEX_QUOT | \JSON_THROW_ON_ERROR;

    public function parse(/*\Picae\Compiler\Context*/ &$context, ?string $arguments, string $token) {
        return "<?php echo json_encode($arguments, {$this->flags}) ?>";
    }

}
